<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
  <a class="navbar-brand" routerLink="">Constructora RADAC</a>
  <ul class="navbar-nav mr-auto">
    <button mat-button class="btn btn-primary" [matMenuTriggerFor]="aboveMenu">1 Catálogo</button>
    <mat-menu #aboveMenu="matMenu" yPosition="above">
      <button mat-menu-item routerLink="/partida/list">1.1 Partidas</button>
      <button mat-menu-item routerLink="/subpartida/list">1.2 Subpartidas</button>
      <button mat-menu-item routerLink="/concepto/list">1.3 Conceptos</button>
      <button mat-menu-item routerLink="/materiales/list">1.4 Materiales</button>
      <button mat-menu-item routerLink="/proveedor/list">1.5 Proveedores</button>
      <button mat-menu-item routerLink="supervisorob/list">1.6 Supervisores de Obra</button>
      <button mat-menu-item routerLink="/requisitador/list">1.7 Requisitadores</button>
    </mat-menu>

    <button mat-button class="btn btn-primary" [matMenuTriggerFor]="belowMenu">2 Procesos</button>
    <mat-menu #belowMenu="matMenu" yPosition="below">
      <button mat-menu-item routerLink="/obra/list">2.1 Obras</button>
      <button mat-menu-item routerLink="/requisiciones/list">2.2 Requisición de obra</button>
      <button mat-menu-item routerLink="/requiconcep/list">2.3 Requisición de materiales</button>
      <button mat-menu-item routerLink="/maestromat/list">2.4 Asignación de proveedores</button>
      <button mat-menu-item routerLink="/ordensuminis/list">2.5 Ordenes de suministro</button>
    </mat-menu>

    <button mat-button class="btn btn-primary" [matMenuTriggerFor]="beforeMenu">3 Reportes</button>
    <mat-menu #beforeMenu="matMenu" xPosition="before">
      <button mat-menu-item routerLink="reports/list">3.1 Reporte de gastos</button>
    </mat-menu>

  </ul>
  <div class="">
    <button mat-button class="btn btn-primary" [matMenuTriggerFor]="afterMenu">Cuenta</button>
    <mat-menu #afterMenu="matMenu" xPosition="after">
      <button mat-menu-item class="btn btn-danger" (click)="logout()">Salir</button>
    </mat-menu>
  </div>
</nav>
